USERS
Fetch User object subscriptions
API to fetch all objects that a given user is subscribed to.
GET
/
v1
/
user
/
{distinct_id}
/
subscribed_to
/
object
/
Fetch User object subscriptions
curl --request GET \
--url https://hub.suprsend.com/v1/user/{distinct_id}/subscribed_to/object/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://hub.suprsend.com/v1/user/{distinct_id}/subscribed_to/object/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://hub.suprsend.com/v1/user/{distinct_id}/subscribed_to/object/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"meta": {
"count": 4,
"limit": 1,
"has_prev": false,
"before": null,
"has_next": false,
"after": null
},
"results": [
{
"properties": {
"role": "manager"
},
"object": {
"id": "frontend",
"object_type": "department",
"properties": {},
"subscriptions_count": 10,
"updated_at": "2025-01-28T16:49:23.695448+00:00"
},
"created_at": "2025-01-23T16:34:56.093683+00:00",
"updated_at": "2025-01-23T16:34:56.093683+00:00"
}
]
}{
"code": 404,
"message": "User [distinct_id: 'user1'] not found"
}Authorizations
Pass as Bearer <API_KEY>. Get API Key from SuprSend dashboard Developers -> API Keys section.
Path Parameters
Unique identifier of the user in your system
Query Parameters
number of results to be returned in API response
Was this page helpful?
⌘I
Fetch User object subscriptions
